Loading...
Searching...
No Matches
File::NameIterator Class Reference

`#include <openvdb/io/File.h>`

## Public Member Functions

| NameIterator (const NameMapCIter &iter)
| NameIterator (const NameIterator &)=default
| ~NameIterator ()
NameIterator & | operator++ ()
bool | operator== (const NameIterator &iter) const
bool | operator!= (const NameIterator &iter) const
Name | operator* () const
Name | gridName () const

## Detailed Description

A const iterator that iterates over all names in the file. This is only valid once the file has been opened.

## Constructor & Destructor Documentation

## NameIterator() [1/2]

NameIterator | ( | const NameMapCIter & | iter | ) |

inline

## NameIterator() [2/2]

NameIterator | ( | const NameIterator & |  | ) |

default

## ~NameIterator()

~NameIterator | ( |  | ) |

inline

## Member Function Documentation

## gridName()

Name gridName | ( |  | ) | const

inline

## operator!=()

bool operator!= | ( | const NameIterator & | iter | ) | const

inline

## operator*()

Name operator* | ( |  | ) | const

inline

## operator++()

NameIterator & operator++ | ( |  | ) |

inline

## operator==()

bool operator== | ( | const NameIterator & | iter | ) | const

inline